Last Comment Bug 692523 - typelib.py missing "os" module import
: typelib.py missing "os" module import
Status: RESOLVED FIXED
[qa-]
:
Product: Core
Classification: Components
Component: XPCOM (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla9
Assigned To: Todd Whiteman
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-06 11:15 PDT by Todd Whiteman
Modified: 2011-12-28 14:33 PST (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed


Attachments
Patch to import the missing modules (557 bytes, patch)
2011-10-07 10:01 PDT, Todd Whiteman
khuey: review+
jst: approval‑mozilla‑aurora+
Details | Diff | Splinter Review

Description Todd Whiteman 2011-10-06 11:15:52 PDT
On line 288, there is the following code:
    if options.cachedir is not None:
        if not os.path.isdir(options.cachedir):
            os.mkdir(options.cachedir)

but it's missing the "import os" part.

C.f: http://hg.mozilla.org/mozilla-central/file/15bfad783467/xpcom/idl-parser/typelib.py
Comment 1 Todd Whiteman 2011-10-06 11:17:13 PDT
Also, relating code is also missing the "import sys" too (see the lines below 288).
Comment 2 Todd Whiteman 2011-10-07 10:01:39 PDT
Created attachment 565567 [details] [diff] [review]
Patch to import the missing modules
Comment 3 Kyle Huey [:khuey] (Exited; not receiving bugmail, email if necessary) 2011-10-07 10:04:55 PDT
Comment on attachment 565567 [details] [diff] [review]
Patch to import the missing modules

Which branches do we need this on?
Comment 4 Todd Whiteman 2011-10-11 15:44:21 PDT
This would be needed on Mozilla 9.0 and higher, i.e. at present that is the following repos:
* mozilla-aurora
* mozilla-central
Comment 5 Kyle Huey [:khuey] (Exited; not receiving bugmail, email if necessary) 2011-10-12 04:15:08 PDT
Comment on attachment 565567 [details] [diff] [review]
Patch to import the missing modules

Build tool change, 0 risk, unbreaks third parties.
Comment 6 Kyle Huey [:khuey] (Exited; not receiving bugmail, email if necessary) 2011-10-17 06:30:04 PDT
http://hg.mozilla.org/mozilla-central/rev/1318d1bbc15a
http://hg.mozilla.org/releases/mozilla-aurora/rev/51d973c83798

Thanks for the patch Todd.
Comment 7 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2011-12-28 14:33:40 PST
Marking qa- as this is not something QA needs to verify. Please change to qa+ if this is not the case.

Note You need to log in before you can comment on or make changes to this bug.